{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"Telegram","description":"Scrape public Telegram channels, groups, and posts"}],"paths":{"/v1/telegram/post":{"get":{"tags":["Telegram"],"summary":"Post Details","description":"Retrieves one public Telegram post with its text, publish date, views, reactions when exposed, forward source, media previews, and link preview. This endpoint uses Telegram's public post widget without a logged-in account. Private and invite-only posts are not supported.","parameters":[{"name":"url","in":"query","required":true,"description":"Public Telegram post URL.","schema":{"type":"string"},"example":"https://t.me/durov/543"},{"name":"cache_max_age","in":"query","required":false,"description":"If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with \"cached\": true and a \"cached_at\" timestamp). Otherwise, scrape a live result (1 credit). [See the Caching page for details.](https://docs.scrapecreators.com/caching)","schema":{"type":"string","enum":["1d","3d","7d","14d","30d"]},"example":"7d"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"success":true,"credits_remaining":1000000,"credits_charged":1,"id":"543","channel_handle":"durov","url":"https://t.me/durov/543","author_name":"Pavel Durov","author_url":"https://t.me/durov","text":"Telegram has applied for the .gram domain zone. If approved, Telegram users could get their own second-level domains.","published_at":"2026-08-18T17:37:31+00:00","view_count":1210000,"view_count_text":"1.21M","reactions":[{"emoji":"⭐","emoji_id":null,"count":16300,"count_text":"16.3K"}],"reaction_count":89300,"forwarded_from":null,"media":[],"link_preview":null}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}